Your message dated Thu, 17 Dec 2015 12:49:05 +0000
with message-id <[email protected]>
and subject line pepperflashplugin-nonfree: Fails without giving an error
message
has caused the Debian Bug report #803349,
regarding pepperflashplugin-nonfree: Fails without giving an error message
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
803349: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=803349
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: pepperflashplugin-nonfree
Version: 1.8.1+b1
Severity: normal
Tags: patch
Hi Bart,
pepperflashplugin-nonfree (status/install) fails here currently without
giving any hint that something went wrong at all (this bugreport is not
about the error itself but the missing error message):
$ sudo /usr/sbin/update-pepperflashplugin-nonfree --status -v
options : --status -v --
temporary directory: /tmp/pepperflashplugin-nonfree.2xix8EvuSG
doing apt-get update on google repository
$ echo $?
100
The error happens in line 175:
stdouterr=`APT_CONFIG=apt.conf apt-get --quiet --quiet update 2>&1`
... the script exits here before reaching the next line that checks if
stdouterr is empty. The quickest fix would be to add a "|| true".
Instead I propose the 2 attached patches:
CheckVariableassignment.patch adds to *every*
variable=`...`
(if there isn't already some error catching mechanism), a
[...] || die_hard_with_a_cleanup "failed to set variable : $variable"
This catches errors during the variable assignment and gives some hints
(the content of the variable) about what went wrong.
TrapOnEXIT.patch
catches all uncaught errors and gives a simple error message without any
additional information.
With these patches applied I now get the much more explaining:
$ sudo /usr/sbin/update-pepperflashplugin-nonfree --status -v
options : --status -v --
temporary directory: /tmp/pepperflashplugin-nonfree.oglpt7aG7j
doing apt-get update on google repository
cleaning up temporary directory /tmp/pepperflashplugin-nonfree.oglpt7aG7j ...
ERROR: failed to set stdouterr : W: The repository
'http://dl.google.com/linux/chrome/deb stable Release' does not have a Release
file. This is deprecated, please contact the owner of the repository.
W: Failed to fetch
http://dl.google.com/linux/chrome/deb/dists/stable/main/binary-amd64/Packages
404 Not Found [IP: 173.194.112.33 80]
E: Some index files failed to download. They have been ignored, or old ones
used instead.
More information might be available at:
http://wiki.debian.org/PepperFlashPlayer
cleaning up temporary directory /tmp/pepperflashplugin-nonfree.oglpt7aG7j ...
ERROR: something strange went wrong
More information might be available at:
http://wiki.debian.org/PepperFlashPlayer
... seems I'm hit by bug #802779 (pepperflashplugin-nonfree: Change URL to
https), following up there.
Greets
jre
-- System Information:
Debian Release: stretch/sid
APT prefers testing
APT policy: (990, 'testing'), (500, 'unstable'), (100, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 4.3.0-rc5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
Versions of packages pepperflashplugin-nonfree depends on:
ii binutils 2.25.1-7
ii ca-certificates 20150426
ii debconf [debconf-2.0] 1.5.57
ii gnupg 1.4.19-5
ii libatk1.0-0 2.18.0-1
ii libcairo2 1.14.2-2
ii libcurl3-gnutls 7.45.0-1
ii libfontconfig1 2.11.0-6.3
ii libfreetype6 2.6-2
ii libgcc1 1:5.2.1-22
ii libglib2.0-0 2.46.1-1
ii libgtk2.0-0 2.24.28-1
ii libnspr4 2:4.10.9-2
ii libnss3 2:3.20-1
ii libpango-1.0-0 1.38.1-1
ii libpango1.0-0 1.38.1-1
ii libstdc++6 5.2.1-22
ii libx11-6 2:1.6.3-1
ii libxext6 2:1.3.3-1
ii libxt6 1:1.1.4-1+b1
ii wget 1.16.3-3
pepperflashplugin-nonfree recommends no packages.
Versions of packages pepperflashplugin-nonfree suggests:
ii chromium 46.0.2490.71-1
pn hal <none>
ii ttf-dejavu 2.35-1
ii ttf-mscorefonts-installer 3.6
ii ttf-xfree86-nonfree 4.2.1-4
Manually added:
ii apt 1.1~exp14
-- no debconf information
diff --git a/update-pepperflashplugin-nonfree b/update-pepperflashplugin-nonfree
index b3b0682..87acd8d 100755
--- a/update-pepperflashplugin-nonfree
+++ b/update-pepperflashplugin-nonfree
@@ -142,14 +142,17 @@ wgetprogress=' -v --progress=dot:default '
if [ "$ACTION" = "--install" -o "$ACTION" = "--status" ]
then
- installed=`strings /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e "s/,/./g"`
+ installed=`strings /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e "s/,/./g"` ||
+ die_hard_with_a_cleanup "failed to set installed : $installed"
[ ! -f $cachedir/$latestfile ] || [ `wc -l $cachedir/$latestfile | cut -f 1 -d ' '` -eq 2 ] || rm $cachedir/$latestfile
if [ -f $cachedir/$latestfile ]
then
- chromeversion=`head -n 1 $cachedir/$latestfile`
- flashversion=`tail -n 1 $cachedir/$latestfile`
+ chromeversion=`head -n 1 $cachedir/$latestfile` ||
+ die_hard_with_a_cleanup "failed to set chromeversion : $chromeversion"
+ flashversion=`tail -n 1 $cachedir/$latestfile` ||
+ die_hard_with_a_cleanup "failed to set flashversion : $flashversion"
else
chromeversion=0
flashversion=0
@@ -163,7 +166,8 @@ then
Debug::NoLocking "true";
EOF
- arch=`dpkg --print-architecture`
+ arch=`dpkg --print-architecture` ||
+ die_hard_with_a_cleanup "failed to set arch : $arch"
cat > etc/apt/sources.list <<-EOF
deb [arch=$arch] http://dl.google.com/linux/chrome/deb/ stable main
@@ -172,16 +176,24 @@ then
gpg --quiet --no-permission-warning --homedir "etc/apt" --import /usr/lib/pepperflashplugin-nonfree/pubkey-google.txt
[ "$verbose" != "yes" ] || echo "doing apt-get update on google repository"
- stdouterr=`APT_CONFIG=apt.conf apt-get --quiet --quiet update 2>&1`
+ stdouterr=`APT_CONFIG=apt.conf apt-get --quiet --quiet update 2>&1` ||
+ die_hard_with_a_cleanup "failed to set stdouterr : $stdouterr"
[ "$stdouterr" = "" ] || die_hard_with_a_cleanup "failed to retrieve status information from google : $stdouterr"
- newchromeversion=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Version: " | sed -e "s,^Version: ,,"`
- poolfile=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Filename: " | sed -e "s,^Filename: ,,"`
- deburl="http://dl.google.com/linux/chrome/deb/$poolfile"
- debfile=`echo $poolfile|sed -e "s,.*/,,"`
- debsize=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Size: " | sed -e "s,^Size: ,,"`
- debsha1=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^SHA1: " | sed -e "s,^SHA1: ,,"`
- debmd5=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^MD5sum: " | sed -e "s,^MD5sum: ,,"`
+ newchromeversion=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Version: " | sed -e "s,^Version: ,,"` ||
+ die_hard_with_a_cleanup "failed to set newchromeversion : $newchromeversion"
+ poolfile=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Filename: " | sed -e "s,^Filename: ,,"` ||
+ die_hard_with_a_cleanup "failed to set poolfile : $poolfile"
+ deburl="http://dl.google.com/linux/chrome/deb/$poolfile" ||
+ die_hard_with_a_cleanup "failed to set deburl : $deburl"
+ debfile=`echo $poolfile|sed -e "s,.*/,,"` ||
+ die_hard_with_a_cleanup "failed to set debfile : $debfile"
+ debsize=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Size: " | sed -e "s,^Size: ,,"` ||
+ die_hard_with_a_cleanup "failed to set debsize : $debsize"
+ debsha1=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^SHA1: " | sed -e "s,^SHA1: ,,"` ||
+ die_hard_with_a_cleanup "failed to set debsha1 : $debsha1"
+ debmd5=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^MD5sum: " | sed -e "s,^MD5sum: ,,"` ||
+ die_hard_with_a_cleanup "failed to set debsha5 : $debsha5"
if [ "$chromeversion" = "$newchromeversion" ]
then
@@ -198,8 +210,10 @@ then
mv $latestfile $cachedir
- chromeversion=`head -n 1 $cachedir/$latestfile`
- flashversion=`tail -n 1 $cachedir/$latestfile`
+ chromeversion=`head -n 1 $cachedir/$latestfile` ||
+ die_hard_with_a_cleanup "failed to set chromeversion : $chromeversion"
+ flashversion=`tail -n 1 $cachedir/$latestfile` ||
+ die_hard_with_a_cleanup "failed to set flashversion : $flashversion"
upstream=$flashversion
fi
diff --git a/update-pepperflashplugin-nonfree b/update-pepperflashplugin-nonfree
index 87acd8d..d834cd6 100755
--- a/update-pepperflashplugin-nonfree
+++ b/update-pepperflashplugin-nonfree
@@ -133,6 +133,12 @@ die_hard_with_a_cleanup() {
trap "die_hard_with_a_cleanup interrupted" INT
+onexit () {
+ [ "$?" = 0 ] || die_hard_with_a_cleanup "something strange went wrong"
+}
+
+trap onexit EXIT
+
cachedir=/var/cache/pepperflashplugin-nonfree
wgetquiet=' -q '
--- End Message ---
--- Begin Message ---
http://backports.debian.org/Instructions/#index6h2
"and NOT to the Debian BTS!"
--- End Message ---